Generation Framework

## org.eclipse.gmf.graphdef.codegen
Class StandaloneGenerator

    java.lang.Object
      org.eclipse.gmf.internal.common.codegen.GeneratorBase
          org.eclipse.gmf.graphdef.codegen.StandaloneGenerator

All Implemented Interfaces:
  java.lang.Runnable

public class StandaloneGenerator
extends org.eclipse.gmf.internal.common.codegen.GeneratorBase

Nested Class Summary
`static interface` `StandaloneGenerator.Config`
`static class` `StandaloneGenerator.ConfigImpl`
`static class` `StandaloneGenerator.Processor`
`static interface` `StandaloneGenerator.ProcessorCallback`

Constructor Summary
`StandaloneGenerator(StandaloneGenerator.Processor p, StandaloneGenerator.Config config, FigureQualifiedNameSwitch fqnSwitch)`

Method Summary
`protected void` `customRun()`
`protected java.net.URL` `getJMergeControlFile()`
`void` `setSkipPluginStructure(boolean skipManifest)` Allows clients to skip generating of manifest.mf, pligin and build properties files.
`protected void` `setupProgressMonitor()`

Methods inherited from class org.eclipse.gmf.internal.common.codegen.GeneratorBase
`contains, doGenerateBinaryFile, doGenerateFile, doGenerateJavaClass, doGenerateJavaClass, formatCode, getDestProject, getNextStepMonitor, getProgress, getRunStatus, guessNewProjectLocation, handleException, handleException, handleException, handleUnexpected, initializeEditorProject, initializeEditorProject, mergeJavaCode, newStatus, newStatus, run, run, setProgressMonitor, setupProgressMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandaloneGenerator

    public StandaloneGenerator(StandaloneGenerator.Processor p,
                               StandaloneGenerator.Config config,
                               FigureQualifiedNameSwitch fqnSwitch)

Method Detail

### setSkipPluginStructure

    public void setSkipPluginStructure(boolean skipManifest)

  Allows clients to skip generating of manifest.mf, pligin and build properties files. "New-plugin-by-template" generator uses this feature because it delegates this generation to PDE defaults.

### setupProgressMonitor

    protected void setupProgressMonitor()

### getJMergeControlFile

    protected java.net.URL getJMergeControlFile()

### customRun

    protected void customRun()
                      throws java.lang.InterruptedException,
                             UnexpectedBehaviourException

  Throws:
    `java.lang.InterruptedException`
    `UnexpectedBehaviourException`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.